# DataExchange
TKSTEP
StepAP214

# StepAP214_Array1OfAutoDesignDateAndTimeItem Class Reference

`#include <StepAP214_Array1OfAutoDesignDateAndTimeItem.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP214_Array1OfAutoDesignDateAndTimeItem (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepAP214_Array1OfAutoDesignDateAndTimeItem (const StepAP214_AutoDesignDateAndTimeItem &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const StepAP214_AutoDesignDateAndTimeItem &V)
Standard_EXPORT void | Destroy ()
| ~StepAP214_Array1OfAutoDesignDateAndTimeItem ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepAP214_Array1OfAutoDesignDateAndTimeItem & | Assign (const StepAP214_Array1OfAutoDesignDateAndTimeItem &Other)
const StepAP214_Array1OfAutoDesignDateAndTimeItem & | operator= (const StepAP214_Array1OfAutoDesignDateAndTimeItem &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepAP214_AutoDesignDateAndTimeItem &Value)
const StepAP214_AutoDesignDateAndTimeItem & | Value (const Standard_Integer Index) const
const StepAP214_AutoDesignDateAndTimeItem & | operator() (const Standard_Integer Index) const
StepAP214_AutoDesignDateAndTimeItem & | ChangeValue (const Standard_Integer Index)
StepAP214_AutoDesignDateAndTimeItem & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepAP214_Array1OfAutoDesignDateAndTimeItem (const StepAP214_Array1OfAutoDesignDateAndTimeItem &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_Array1OfAutoDesignDateAndTimeItem::StepAP214_Array1OfAutoDesignDateAndTimeItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepAP214_Array1OfAutoDesignDateAndTimeItem::StepAP214_Array1OfAutoDesignDateAndTimeItem | ( | const StepAP214_AutoDesignDateAndTimeItem & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepAP214_Array1OfAutoDesignDateAndTimeItem::~StepAP214_Array1OfAutoDesignDateAndTimeItem | ( |  | ) | `[inline]`

Standard_EXPORT StepAP214_Array1OfAutoDesignDateAndTimeItem::StepAP214_Array1OfAutoDesignDateAndTimeItem | ( | const StepAP214_Array1OfAutoDesignDateAndTimeItem & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepAP214_Array1OfAutoDesignDateAndTimeItem& StepAP214_Array1OfAutoDesignDateAndTimeItem::Assign | ( | const StepAP214_Array1OfAutoDesignDateAndTimeItem & | Other | ) |

StepAP214_AutoDesignDateAndTimeItem& StepAP214_Array1OfAutoDesignDateAndTimeItem::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepAP214_Array1OfAutoDesignDateAndTimeItem::Destroy | ( |  | ) |

Standard_EXPORT void StepAP214_Array1OfAutoDesignDateAndTimeItem::Init | ( | const StepAP214_AutoDesignDateAndTimeItem & | V | ) |

Standard_Boolean StepAP214_Array1OfAutoDesignDateAndTimeItem::IsAllocated | ( |  | ) | const

Standard_Integer StepAP214_Array1OfAutoDesignDateAndTimeItem::Length | ( |  | ) | const

Standard_Integer StepAP214_Array1OfAutoDesignDateAndTimeItem::Lower | ( |  | ) | const

void StepAP214_Array1OfAutoDesignDateAndTimeItem::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepAP214_Array1OfAutoDesignDateAndTimeItem::operator new | ( | size_t | size | ) | `[inline]`

void* StepAP214_Array1OfAutoDesignDateAndTimeItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

StepAP214_AutoDesignDateAndTimeItem& StepAP214_Array1OfAutoDesignDateAndTimeItem::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const StepAP214_AutoDesignDateAndTimeItem& StepAP214_Array1OfAutoDesignDateAndTimeItem::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepAP214_Array1OfAutoDesignDateAndTimeItem& StepAP214_Array1OfAutoDesignDateAndTimeItem::operator= | ( | const StepAP214_Array1OfAutoDesignDateAndTimeItem & | Other | ) | `[inline]`

void StepAP214_Array1OfAutoDesignDateAndTimeItem::SetValue | ( | const Standard_Integer | Index,
|  | const StepAP214_AutoDesignDateAndTimeItem & | Value
| ) |

Standard_Integer StepAP214_Array1OfAutoDesignDateAndTimeItem::Upper | ( |  | ) | const

const StepAP214_AutoDesignDateAndTimeItem& StepAP214_Array1OfAutoDesignDateAndTimeItem::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepAP214_Array1OfAutoDesignDateAndTimeItem::isAllocated`[private]`

Standard_Integer StepAP214_Array1OfAutoDesignDateAndTimeItem::myLowerBound`[private]`

Standard_Address StepAP214_Array1OfAutoDesignDateAndTimeItem::myStart`[private]`

Standard_Integer StepAP214_Array1OfAutoDesignDateAndTimeItem::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- StepAP214_Array1OfAutoDesignDateAndTimeItem.hxx